WebSphereJMSProvider (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSProvider interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJMSProvider

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource

    public interface WebSphereJMSProvider

extends WebSphereJ2EEResource

Represents a JMS Provider deployed to a WebSphere environment.

Persistable:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClasspath()`
`java.lang.String` | `getExternalInitialContextFactory()`
`java.lang.String` | `getExternalProviderURL()`
`java.lang.String` | `getNativepath()`
`boolean` | `hasClasspath()`
`boolean` | `hasExternalInitialContextFactory()`
`boolean` | `hasExternalProviderURL()`
`boolean` | `hasNativepath()`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setExternalInitialContextFactory(java.lang.String externalInitialContextFactory)`
`void` | `setExternalProviderURL(java.lang.String externalProviderURL)`
`void` | `setNativepath(java.lang.String nativepath)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getExternalInitialContextFactory

    java.lang.String getExternalInitialContextFactory()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalInitialContextFactory

    void setExternalInitialContextFactory(java.lang.String externalInitialContextFactory)

### hasExternalInitialContextFactory

    boolean hasExternalInitialContextFactory()

### getExternalProviderURL

    java.lang.String getExternalProviderURL()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalProviderURL

    void setExternalProviderURL(java.lang.String externalProviderURL)

### hasExternalProviderURL

    boolean hasExternalProviderURL()

### getNativepath

    java.lang.String getNativepath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNativepath

    void setNativepath(java.lang.String nativepath)

### hasNativepath

    boolean hasNativepath()

### getClasspath

    java.lang.String getClasspath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClasspath

    void setClasspath(java.lang.String classpath)

### hasClasspath

    boolean hasClasspath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD